org.apache.ignite.internal.processors.platform.cpp

## Class PlatformCppBootstrapFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.cpp.PlatformCppBootstrapFactory

All Implemented Interfaces:
  PlatformBootstrapFactory

    public class PlatformCppBootstrapFactory
    extends Object
    implements PlatformBootstrapFactory

Platform .Net bootstrap factory.

### Field Summary

Fields
`static int` `ID` Bootstrap ID.

### Constructor Summary

Constructors
Constructor and Description
`PlatformCppBootstrapFactory()`

### Method Summary

Methods
`PlatformBootstrap` `create()` Create bootstrap instance.
`int` `id()` Get bootstrap factory ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final int ID

Bootstrap ID.

See Also:
  Constant Field Values

### Constructor Detail

#### PlatformCppBootstrapFactory

    public PlatformCppBootstrapFactory()

### Method Detail

#### id

    public int id()

Get bootstrap factory ID.

Specified by:
  `id` in interface `PlatformBootstrapFactory`
Returns:
  ID.

#### create

    public PlatformBootstrap create()

Create bootstrap instance.

Specified by:
  `create` in interface `PlatformBootstrapFactory`
Returns:
  Bootstrap instance.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015